Which version of HttpClient should I use?

 
Currently, Apr 11, 2017, intra-mart AccelPlatform includes the following versions of HttpClient.

1. Apache HTTPComponents client 4.2
Module ID: jp.co.intra_mart.vendor.http_client_v4_2
Module Version: 4.2.0


2. Apache HTTPComponents client 4.4. 1
Module ID: jp.co.intra_mart.vendor.http_client_v4_4_1
Module Version: 4.4.1-PATCH_001


Please use either one.
The Apache HTTPComponents client 4.2 is available after 8.0.9 2014 Winter and the Apache HTTPComponents client 4.4.1 is available after 8.0.12 - 2015 Winter.
Each of them is repackaged as follows, so please use the repackaged class.

Apache HTTPComponents client 4.2
org.apache.http -> jp.co.intra_mart.system.repackage.httpcomponents_4_2.org.apache.http

Apache HTTPComponents client 4.4. 1
org.apache.http -> jp.co.intra_mart.system.repackage.httpcomponents_4_4 _1.org.apache.http



-- Target ------------------------------------------------------------------------
iAP/Accel Platform
--------------------------------------------------------------------------------


FAQID:636
Was this article helpful?
0 out of 0 found this helpful
Powered by Zendesk